/*
 * Licensed Materials - Property of IBM
 * 
 * 5724-I66
 * 
 * (C) Copyright IBM Corporation 2005, 2006. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights: Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * 
 * DISCLAIMER: The following [enclosed] code is sample code created by IBM
 * Corporation. This sample code is not part of any standard IBM product and is
 * provided to you solely for the purpose of assisting you in the development of
 * your applications. The code is provided 'AS IS', without warranty of any kind
 * IBM shall not be liable for any damages arising out of your use of sample
 * code, even if they have been advised of the possibility of such damages.
 */
package bean;

public class Invoker {

	/*
	 * 
	 * This utility class can:
	 * 
	 * 
	 *  1) retrieve a java interface representation of 
	 *     a WID module's stand-alone reference
	 * 
	 *  2) create an SDO object ( a java representation of a WID business object)
	 * 
	 * 
	 */

	private com.ibm.websphere.sca.ServiceManager serviceManager = null;

	private com.ibm.websphere.bo.BOFactory boFactory = null;

	private com.ibm.websphere.sca.Service service = null;

	

	public Invoker() {
		super();
		serviceManager = new com.ibm.websphere.sca.ServiceManager();
		boFactory = (com.ibm.websphere.bo.BOFactory) serviceManager
				.locateService("com/ibm/websphere/bo/BOFactory");

	}

	public Object getService(String standAloneReferenceName) {
		Object javaInterfaceImpl = null;

		try {
			javaInterfaceImpl = serviceManager
					.locateService(standAloneReferenceName);

		}//try
		catch (Exception e) {
			e.printStackTrace();
		}//catch

		return javaInterfaceImpl;
	}

	public commonj.sdo.DataObject createBO(String boName, String boNamespace) {
		commonj.sdo.DataObject sdo = null;

		try {

			//Create the requested sdo data object (java representation of a WID business object)
			sdo = boFactory.create(boNamespace, boName);

		} catch (Exception e) {
			e.printStackTrace();
		}

		return sdo;
	}

}
